CGAL 6.1.2 - 3D Isosurfacing: CGAL::Isosurfacing::Trilinear_interpolation< Grid > Class Template Reference

CGAL 6.1.2 - 3D Isosurfacing

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
CGAL::Isosurfacing::Trilinear_interpolation< Grid > Class Template Reference
Reference Manual » Value and Gradient Fields Helpers

`#include <CGAL/Isosurfacing_3/interpolation_schemes_3.h>`

## Definition

template<typename Grid>
class CGAL::Isosurfacing::Trilinear_interpolation< Grid >

Is model of
  `IsosurfacingInterpolationScheme_3`

The class `Trilinear_interpolation` is the standard interpolation scheme to define continuous fields of scalar values and gradients from data defined only at the vertices of a Cartesian grid.

Template Parameters

  Grid | must be `CGAL::Isosurfacing::Cartesian_grid_3<GeomTraits>`, with `GeomTraits` a model of `IsosurfacingTraits_3`

## Public Types
using | Geom_traits = typename Grid::Geom_traits
using | FT = typename Geom_traits::FT
using | Point_3 = typename Geom_traits::Point_3
using | Vector_3 = typename Geom_traits::Vector_3
using | Iso_cuboid_3 = typename Geom_traits::Iso_cuboid_3

## Public Member Functions
FT | interpolated_value (const Point_3 &p, const Grid &g, const std::vector< FT > &values) const
| interpolates the values at a given point using trilinear interpolation.
Vector_3 | interpolated_gradient (const Point_3 &p, const Grid &g, const std::vector< Vector_3 > &gradients) const
| interpolates the gradients at a given point using trilinear interpolation.

## Member Function Documentation

## ◆ interpolated_gradient()

template<typename Grid >

Vector_3 CGAL::Isosurfacing::Trilinear_interpolation< Grid >::interpolated_gradient | ( | const Point_3 & | p,
|  | const Grid & | g,
|  | const std::vector< Vector_3 > & | gradients
| ) |  | const

interpolates the gradients at a given point using trilinear interpolation.

Parameters

  p | the point at which to interpolate the gradients
  g | the grid
  gradients | the continuous field of vector values, defined over the geometric span of `g`

## ◆ interpolated_value()

template<typename Grid >

FT CGAL::Isosurfacing::Trilinear_interpolation< Grid >::interpolated_value | ( | const Point_3 & | p,
|  | const Grid & | g,
|  | const std::vector< FT > & | values
| ) |  | const

interpolates the values at a given point using trilinear interpolation.

Parameters

  p | the point at which values are interpolated
  g | the grid
  values | the continuous field of scalar values, defined over the geometric span of `g`